Internal (Ops)
POST
/test-clocks/{test_clock_id}/advanceTest Clock — Advance
Internal ops app (port 5002, no api_version, guarded by the internal token header).
Request
Example
curl -X POST '{{internal_base_url}}/test-clocks/{{test_clock_id}}/advance' \
-H 'Content-Type: application/json' \
-d '{
"frozen_time": "2026-02-01T00:00:00Z"
}'Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
| Name | Type | Value |
|---|---|---|
| frozen_time | string | 2026-02-01T00:00:00Z |
{
"frozen_time": "2026-02-01T00:00:00Z"
}Responses
400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"error": null
}500500 Internal Server Error
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"error": null,
"result": null
}